using MaterialSkin.Core.Controls;
using VisionBuilder.UI.Common.ViewModel.Interfaces.UI;

namespace CandyboxPlugin.Module;

public class CandyboxRecipeCreationTool:IRecipeCreationTool
{
    public bool Enabled { get; set; } = true;
    public bool CreateRecipe(out string recipeName)
    {
        return MaterialInputBox.Prompt("Recipe name","", out recipeName)==DialogResult.OK;
    }
}